Page MenuHomePhabricator

Possibly permit more ext tag types in directive
Closed, ResolvedPublic

Description

From https://github.com/wikimedia/parsoid/blob/master/lib/wt2html/pegTokenizer.pegjs#L1383-L1386

which is preventing translate extension tags from rendering in html element attrributes, as on,

https://meta.wikimedia.org/api/rest_v1/page/html/Global_Collaboration%2FNewsletter%2FIssues%2F2016%2F10

@cscott warns that the nowiki rule is now also used by language variants, and to just be mindful of that.

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterPermit extension tags in xmlish attribute values

Event Timeline

Arlolra created this task.Dec 21 2017, 10:57 PM
Restricted Application added subscribers: jeblad, Aklapper. · View Herald TranscriptDec 21 2017, 10:57 PM
Arlolra triaged this task as High priority.Dec 21 2017, 10:57 PM
<cscott> adding a new `nowiki_or_ext: nowiki | xmlish` production for use in attributes should be fine

Change 403319 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] WIP: Permit extension tags in xmlish attribute values

https://gerrit.wikimedia.org/r/403319

ssastry moved this task from Backlog to Read Views on the Parsoid board.Jan 11 2018, 9:14 PM

Change 403319 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Permit extension tags in xmlish attribute values

https://gerrit.wikimedia.org/r/403319

Arlolra closed this task as Resolved.Jan 18 2018, 12:31 AM

Mentioned in SAL (#wikimedia-operations) [2018-02-06T18:47:51Z] <arlolra> Updated Parsoid to 8a0ff6c (T183515, T129372, T181408)